Bug 1115519 - CVE-2014-4616 python-simplejson: python: missing boundary check in JSON module [epel-7] [NEEDINFO]
Summary: CVE-2014-4616 python-simplejson: python: missing boundary check in JSON modul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-simplejson
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=mhayden
Depends On:
Blocks: CVE-2014-4616
TreeView+ depends on / blocked
 
Reported: 2014-07-02 13:59 UTC by Tomas Hoger
Modified: 2016-11-24 02:20 UTC (History)
4 users (show)

Fixed In Version: python-simplejson-3.5.3-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 02:20:45 UTC
Type: ---
mhayden: needinfo? (lmacken)


Attachments (Terms of Use)

Description Tomas Hoger 2014-07-02 13:59:24 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-7 tracking bug for python-simplejson: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-07-02 13:59:34 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1112285,1115519

Comment 2 Major Hayden 🤠 2015-07-12 05:05:55 UTC
Would it be possible to bump the EPEL 7 version to match the version for Fedora?

Comment 4 Fedora Update System 2016-11-04 16:48:23 UTC
python-simplejson-3.5.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e26faf9489

Comment 5 Fedora Update System 2016-11-06 00:49:21 UTC
python-simplejson-3.5.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e26faf9489

Comment 6 Fedora Update System 2016-11-24 02:20:45 UTC
python-simplejson-3.5.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.